mounted.ocfs2(8)

NAME
mounted.ocfs2 - Detects all OCFS2 volumes on a system.

SYNOPSIS
mounted.ocfs2 [-d] [-f] [device]

DESCRIPTION

mounted.ocfs2 is used to detect OCFS2 volume(s) on a system. When run without specifying a device, it scans all the partitions listed in /proc/partitions.

OPTIONS

-d  Lists the OCFS2 volumes along with their labels and uuids. It also lists the cluster stack, cluster name and the cluster flags. The possible cluster stacks are o2cb, pcmk and cman. None indicates a local mount or a non-clustered volume. A G cluster flag indicates global-heartbeat for the o2cb cluster stack.

-f  Lists the OCFS2 volumes along with the list of nodes that have mounted the volume.

NOTES
As this utility gathers information without taking any cluster locks, the information listed in the full detect mode could be stale. This is only problematic for volumes that were not cleanly umounted by the last node. Such volumes will show up mounted (as per this utility) on one or more nodes but are in fact not mounted on any node. Such volumes are awaiting slot-recovery which is auto-performed on the next mount (or file system check).

EXAMPLES
To view the list of OCFS2 volumes, do:
# mounted.ocfs2 -d
Device     Stack  Cluster     F  UUID                              Label
/dev/sdc1  None                  23878C320CF3478095D1318CB5C99EED  localmount
/dev/sdd1  o2cb   webcluster  G  8AB016CD59FC4327A2CDAB69F08518E3  webvol
/dev/sdg1  o2cb   webcluster  G  77D95EF51C0149D2823674FCC162CF8B  logsvol
/dev/sdh1  o2cb   webcluster  G  BBA1DBD0F73F449384CE75197D9B7098  scratch
/dev/sdk1  o2cb   webcluster  G  DCDA2845177F4D59A0F2DCD8DE507CC3  hb1
To view the list of nodes that have potentially (see notes) mounted the OCFS2 volumes, do:
# mounted.ocfs2 -f
Device     Stack  Cluster     F  Nodes
/dev/sdc1  None
/dev/sdd1  o2cb   webcluster  G  node1, node3, node10
/dev/sdg1  o2cb   webcluster  G  node1, node3, node10
/dev/sdh1  o2cb   webcluster  G  Not mounted
/dev/sdk1  o2cb   webcluster  G  node1, node3, node10

SEE ALSO
debugfs.ocfs2(8) fsck.ocfs2(8) mkfs.ocfs2(8) mount.ocfs2(8) o2cluster(8) o2image(8) o2info(1) tunefs.ocfs2(8)

AUTHORS
Oracle Corporation

COPYRIGHT
Copyright © 2004, 2012 Oracle. All rights reserved.